<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.16 build 0813.1608
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

use YOOtheme\Arr;
use ZOOlanders\YOOessentials\Storage\StorageService;
use ZOOlanders\YOOessentials\Util;

return [
    'config' => [
        // Remove duplicated storages
        '2.2.12' => function ($config) {
            $storages = Arr::get($config, StorageService::STORAGES_CONFIG_KEY, []);

            $storages = Util\Arr::removeDuplicates($storages);

            Arr::set($config, StorageService::STORAGES_CONFIG_KEY, $storages);

            return $config;
        },
    ],
];
